#
# spec file for package ext4magic
#
# Copyright (c) 2014  robi6@users.sf.net
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           ext4magic
Version:        0.3.2
Release:        3.7._patched_%{?dist}
License:        GPL-2.0+
Summary:        recover deleted files on ext3/4 filesystems
Url:            http://sourceforge.net/projects/ext4magic/
Group:          System/Filesystems
Source0:         ext4magic-%{version}.tar.gz
Patch0:          ext4magic_inode_recover.patch
Patch1:          ext4magic-workaround.patch

BuildRequires:    e2fsprogs-devel
BuildRequires:    libuuid-devel
BuildRequires:    libblkid-devel
BuildRequires:    file-devel
BuildRequires:    bzip2-devel
BuildRequires:    zlib-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
ext4magic is a small tool for Linux administration, it can help to recover accidentally deleted or overwritten files from an ext3 or ext4 file systems. Especially private computers often lack an adequate and reliable backup or the backup interval is too large lack of capacity. After some minor or major accidents console or script often arises the question, how can I just restore the deleted files back? 

%prep
%setup -q
%patch0 -p1 -b .p0
%patch1 -p1 -b .p1

%build
%configure --enable-expert-mode
%{__make} %{?_smp_mflags}

%install
%{makeinstall}

%files
%defattr(-,root,root)
%{_sbindir}/ext4magic
%{_mandir}/man8/ext4magic.8.gz

